Mail archive
alpine-aports

[alpine-aports] [PATCH] new aport: testing/micropython

From: Marian Buschsieweke <marian.buschsieweke_at_ovgu.de>
Date: Wed, 2 Aug 2017 09:24:03 +0200

A lean and efficient Python implementation for MCUs and constrained systems
http://www.micropython.org/
---
 testing/micropython/0000-unix-mpconfigport.patch | 22 ++++++++++++
 testing/micropython/APKBUILD                     | 44 ++++++++++++++++++++++++
 2 files changed, 66 insertions(+)
 create mode 100644 testing/micropython/0000-unix-mpconfigport.patch
 create mode 100644 testing/micropython/APKBUILD
diff --git a/testing/micropython/0000-unix-mpconfigport.patch b/testing/micropython/0000-unix-mpconfigport.patch
new file mode 100644
index 0000000000..9025694ff2
--- /dev/null
+++ b/testing/micropython/0000-unix-mpconfigport.patch
_at_@ -0,0 +1,22 @@
+--- old/micropython-1.9.1/unix/mpconfigport.mk
++++ new/micropython-1.9.1/unix/mpconfigport.mk
+_at_@ -9,7 +9,7 @@
+ MICROPY_USE_READLINE = 1
+ 
+ # btree module using Berkeley DB 1.xx
+-MICROPY_PY_BTREE = 1
++MICROPY_PY_BTREE = 0
+ 
+ # _thread module using pthreads
+ MICROPY_PY_THREAD = 1
+_at_@ -24,8 +24,8 @@
+ MICROPY_PY_FFI = 1
+ 
+ # ussl module requires axtls
+-MICROPY_PY_USSL = 1
+-MICROPY_SSL_AXTLS = 1
++MICROPY_PY_USSL = 0
++MICROPY_SSL_AXTLS = 0
+ MICROPY_SSL_MBEDTLS = 0
+ 
+ # jni module requires JVM/JNI
diff --git a/testing/micropython/APKBUILD b/testing/micropython/APKBUILD
new file mode 100644
index 0000000000..fb7b141623
--- /dev/null
+++ b/testing/micropython/APKBUILD
_at_@ -0,0 +1,44 @@
+# Contributor: Marian <marian.buschsieweke_at_ovgu.de>
+# Maintainer: Marian <marian.buschsieweke_at_ovgu.de>
+pkgname=micropython
+pkgver=1.9.1
+pkgrel=0
+pkgdesc="A lean and efficient Python implementation for MCUs and constrained systems"
+url="http://www.micropython.org/"
+arch="all"
+license="MIT"
+depends=""
+makedepends="libffi-dev python3"
+subpackages=""
+source="${pkgname}-${pkgver}.tar.gz::https://github.com/${pkgname}/${pkgname}/archive/v${pkgver}.tar.gz
+        0000-unix-mpconfigport.patch"
+builddir="${srcdir}/${pkgname}-${pkgver}/unix"
+
+prepare() {
+	cd "${srcdir}"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$builddir"
+	unset CFLAGS
+	make
+}
+
+check() {
+	cd "$builddir"
+	make test
+}
+
+package() {
+	cd "$builddir"
+	mkdir -p "${pkgdir}/usr/bin"
+	install -m755 micropython "${pkgdir}/usr/bin/micropython"
+}
+
+sha512sums="bc0eeb1e6d821034b7157613f2d421df304f2959e9fd62d2886641eba8d74575787861c9ff46fc3bcb9c14c6ad1f698043231801207f946af9b5d302bb253c63  micropython-1.9.1.tar.gz
+926515a76dc856192de79a7c35c390bd533a38a2c163812ce5a3739280ca33881791f3d199922edb2e577ec9ac16265dc4891ad96f6c6eb4e7cf9d5ae8044a32  0000-unix-mpconfigport.patch"
-- 
2.13.2
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Wed Aug 02 2017 - 09:24:03 UTC